Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: transitclass.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
GET https://walletobjects.googleapis.com/walletobjects/v1/transitClass
网址采用 gRPC 转码语法。
查询参数
| 参数 |
issuerId |
string (int64 format)
已授权列出类的发卡机构的 ID。
|
token |
string
如果已指定 maxResults,但列表中包含的类数量超过 maxResults,则此参数用于获取下一组结果。例如,如果您的列表包含 200 个类,并且 maxResults 设置为 20 来调用列表,则列表将返回前 20 个类和一个令牌。使用设置为 20 的 maxResults 和令牌再次调用列表,将获取下一组的 20 个类。
|
maxResults |
integer
确定列表返回的结果数上限。如果未定义 maxResults,则返回所有结果。
|
响应正文
| 字段 |
resources[] |
object (TransitClass)
与列表请求对应的资源。
|
pagination |
object (Pagination)
响应的分页。
|
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/wallet_object.issuer
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-07-25。
[null,null,["最后更新时间 (UTC):2025-07-25。"],[],["This content describes how to retrieve a list of transit classes for a specific issuer. A `GET` request is sent to `https://walletobjects.googleapis.com/walletobjects/v1/transitClass`. The request utilizes query parameters: `issuerId` (required), `token` (for pagination), and `maxResults`. The request body must be empty. The response returns a JSON structure with `resources` (a list of TransitClass objects) and `pagination` details. Authorization requires the `https://www.googleapis.com/auth/wallet_object.issuer` OAuth scope.\n"]]